#include <string.h>
#include "diksamc.h"

ErrorDefinition dkc_error_message_format[] = {
    {"dummy"},
    {"ʸˡ顼($(token)ն)"},
    {"ʸ($(bad_char))"},
    {"ؿ̾ʣƤޤ($(name))"},
    {"ʥޥХʸǤ"},
    {"곰Υ磻ʸǤ"},
    {"ǤfinalˤϤǤޤ"},
    {"ʣ黻ҤfinalФƤŬѤǤޤ"},
    {"ؿΰ̾$(name)ʣƤޤ"},
    {"ѿ̾$(name)ʣƤޤ"},
    {"ѿޤϴؿ$(name)դޤ"},
    {"$(name)ϴؿ̾ǤؿƤӽФ()ޤ"},
    {"ؤΥ㥹ȡؤΥ㥹ȤϤǤޤ"},
    {"$(src)$(dest)ؤϥ㥹ȤǤޤ"},
    {"ѱ黻ҤΥڥɤηǤ"},
    {"ӱ黻ҤΥڥɤηǤ"},
    {"and/or黻ҤΥڥɤηǤ"},
    {"ޥʥ黻ҤΥڥɤηǤ"},
    {"黻ҤΥڥɤηǤ"},
    {"󥯥/ǥȱ黻ҤΥڥɤηǤ"},
    {"ؿƤӽФ黻ҤΥڥɤؿ̾ǤϤޤ"},
    {"ؿ$(name)դޤ"},
    {"ؿΰο礤ޤ"},
    {"黻ҤκդͤǤϤޤ"},
    {"٥$(label)¸ߤޤ"},
    {"ƥˤϺҤȤĤǤɬפǤ"},
    {"ź黻[]κդǤϤޤ"},
    {"źintǤϤޤ"},
    {"ΥintǤϤޤ"},
    {"ͤ򥼥ǽƤޤ"},
    {"package̾Ĺ᤮ޤ(ʤǤ)"},
    {"require줿ե뤬դޤ($(file))"},
    {"requireǥ顼ȯޤ($(status))"},
    {"ҤȤĤΥƱΥѥåʣ"
     "requireƤޤ($(package_name))"},
    {"renameǲ̾̾ˤpackage꤬ɬפǤ"},
    {"abstractʣꤵƤޤ"},
    {"ҤʣꤵƤޤ"},
    {"overrideʣꤵƤޤ"},
    {"virtualʣꤵƤޤ"},
    {"ηˤϥб黻ҤŬѤǤޤ"},
    {"$(class_name)$(member_name)ȤФϤޤ"},
    {"$(member_name)privateΤᥢǤޤ"},
    {"abstractʥ᥽åɤϼƤޤ"},
    {"abstractǤʤ᥽åɤˤϼʤФʤޤ"},
    {"ʣΥ饹ѾƤޤ($(name)2ܤΥ饹)"},
    {"DisamǤϡabstract饹ʳϷѾǤޤ"
     "(饹$(name)abstractǤϤޤ)"},
    {"abstract饹($(name))newƤޤ"},
    {"voidδؿ֤ͤƤޤ"},
    {"饹$(name)դޤ"},
    {"󥹥ȥ饯ȤƻꤵƤ$(member_name)"
     "᥽åɤǤϤޤ"},
    {"newǻꤵƤ᥽å$(member_name)󥹥ȥ饯Ǥ"
     "ޤ"},
    {"ǥե($(member_name))ϸƤӽФޤ"},
    {"᥽å$(member_name)ؿƤӽФʳξˤޤ"},
    {"᥽å$(member_name)褦ȤƤޤ"},
    {"virtualǤʤ᥽å($(name))ϥС饤ɤǤޤ"},
    {"᥽åɤ򥪡С饤ɤݤoverrideλ꤬ɬפǤ($(name))"},
    {"abstractǤʤ饹ˡabstract᥽å$(method_name)¸ߤޤ"},
    {"ѡ饹ʤ饹superȤäƤޤ"},
    {"superϥ᥽åɤƤְʳѤǤޤ"},
    {"superΥեɤϻȤǤޤ"},
    {"$(name)ϥեɤǤС饤ɤǤޤ"},
    {"ե̾$(name)ʣƤޤ"},
    {"$(name)Ȥ᥽åɤϤޤ"},
    {"ʸ$(name)Ȥ᥽åɤϤޤ"},
    {"instanceofΥڥɤϻȷǤʤФʤޤ"},
    {"instanceofαդηϻȷǤʤФʤޤ"},
    {"instanceofоݤϥ饹ǤʤФʤޤ"},
    {"instanceofϾ˿Ǥ"},
    {"instanceofϾ˵Ǥ"},
    {"DiksamΥ󥿡եˤϿƻҴطϤʤΤǡ"
     "instanceofϾ˵Ǥ"},
    {"󥭥㥹ȤоݤȤʤΤϥ饹Ǥ"},
    {"󥭥㥹ȤѴȤʤΤϥ饹Ǥ"},
    {"Υ󥭥㥹ȤפǤ"},
    {"ѡ饹˥󥭥㥹Ȥ褦ȤƤޤ"},
    {"ѾطΤʤ饹˥󥭥㥹Ȥ褦ȤƤޤ"},
    {"DiksamΥ󥿡եˤϿƻҴطϤʤΤǡ"
     "󥭥㥹ȤǤޤ"},
    {"饹ʳηcatchƤޤ"},
    {"catchƤ륯饹$(class_name)Exception"
     "֥饹ǤϤޤ"},
    {"饹ʳηthrowƤޤ"},
    {"throwƤ륯饹$(class_name)Exception"
     "֥饹ǤϤޤ"},
    {"ڥɤΤʤthrowcatchγˤޤ"},
    {"$(statement_name)ʸfinallyˤϽ񤱤ޤ"},
    {"throws˻ꤵƤ$(name)դޤ"},
    {"throws˻ꤵƤ$(name)ExceptionΥ֥饹ǤϤޤ"},
    {"㳰$(name)throws˻ꤵ뤫"
     "catchʤФʤޤ"},
    {"dummy"}
};
